Bug 18373 - `make upgrade` is broken
Summary: `make upgrade` is broken
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low major (vote)
Assignee: Jonathan Druart
QA Contact: Marcel de Rooy
URL:
Whiteboard:
Keywords:
Depends on: 18028
Blocks:
  Show dependency treegraph
 
Reported: 2017-04-03 15:48 UTC by Jonathan Druart
Modified: 2017-05-03 03:45 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 18373: Re-add UpgradeBackup.pm (3.51 KB, patch)
2017-04-03 15:55 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 18373: Re-add UpgradeBackup.pm (4.11 KB, patch)
2017-04-03 15:57 UTC, Jonathan Druart
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 18373: Re-add UpgradeBackup.pm (4.16 KB, patch)
2017-04-04 14:07 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 18373: Re-add UpgradeBackup.pm (4.24 KB, patch)
2017-04-14 11:08 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2017-04-03 15:48:30 UTC
Bug 18028 removed the install_misc directory but install_misc/UpgradeBackup.pm was still used by the 'upgrade' rule of make.
Comment 1 Jonathan Druart 2017-04-03 15:55:02 UTC
Created attachment 61798 [details] [review]
Bug 18373: Re-add UpgradeBackup.pm

Bug 18028 removed the install_misc directory but
install_misc/UpgradeBackup.pm was still used by the 'upgrade' rule of
make.

Other files from install_misc were useless to it may be better not to
reintroduce this directory with only 1 file.

Test plan:
`make`
`sudo make install`
`make upgrade`
Comment 2 Jonathan Druart 2017-04-03 15:57:40 UTC
Created attachment 61799 [details] [review]
Bug 18373: Re-add UpgradeBackup.pm

Bug 18028 removed the install_misc directory but
install_misc/UpgradeBackup.pm was still used by the 'upgrade' rule of
make.

Other files from install_misc were useless to it may be better not to
reintroduce this directory with only 1 file.

Test plan:
`make`
`sudo make install`
`make upgrade`
Comment 3 Josef Moravec 2017-04-04 14:07:38 UTC
Created attachment 61840 [details] [review]
[SIGNED-OFF] Bug 18373: Re-add UpgradeBackup.pm

Bug 18028 removed the install_misc directory but
install_misc/UpgradeBackup.pm was still used by the 'upgrade' rule of
make.

Other files from install_misc were useless to it may be better not to
reintroduce this directory with only 1 file.

Test plan:
`make`
`sudo make install`
`make upgrade`

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 4 Katrin Fischer 2017-04-10 21:50:50 UTC
Can we get speedy QA on this please? The bug is present in 16.11.06.
Comment 5 Jonathan Druart 2017-04-11 13:27:00 UTC
(In reply to Katrin Fischer from comment #4)
> Can we get speedy QA on this please? The bug is present in 16.11.06.

Upping severity
Comment 6 David Cook 2017-04-13 06:42:01 UTC
Just bumped into this, so +1 for a speedy QA...
Comment 7 Marcel de Rooy 2017-04-14 11:08:46 UTC
Created attachment 62165 [details] [review]
Bug 18373: Re-add UpgradeBackup.pm

Bug 18028 removed the install_misc directory but
install_misc/UpgradeBackup.pm was still used by the 'upgrade' rule of
make.

Other files from install_misc were useless to it may be better not to
reintroduce this directory with only 1 file.

Test plan:
`make`
`sudo make install`
`make upgrade`

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 8 Kyle M Hall 2017-04-14 14:41:41 UTC
Pushed to master for 17.05, thanks Jonathan!
Comment 9 Katrin Fischer 2017-04-16 12:28:55 UTC
This patch has been pushed to 16.11.x and will be in 16.11.07.
Comment 10 Mason James 2017-05-03 03:45:07 UTC
Pushed to 16.05.x, for 16.05.12 release